Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Postbox
  • Getting started
  • Access management
  • Pricing policy
    • API authentication
    • How to use the API
    • Signing requests
      • All methods
      • Sending emails
      • Bulk email sending
        • ListDedicatedIpPools method
        • GetDedicatedIpPool method
        • CreateDedicatedIpPool method
        • DeleteDedicatedIpPool method
        • GetDedicatedIps method
        • GetDedicatedIp method
        • PutDedicatedIpInPool method
      • Request headers
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes
  • FAQ

In this article:

  • Request
  • Query parameters
  • Request headers
  • Responses
  • 200 OK
  • Errors
  1. API reference
  2. REST
  3. Dedicated IP addresses
  4. GetDedicatedIps method

GetDedicatedIps method

Written by
Yandex Cloud
Updated at October 14, 2026
View in Markdown
  • Request
    • Query parameters
    • Request headers
  • Responses
    • 200 OK
    • Errors

Returns a list of dedicated IP addresses in a folder or pool. The folder is selected based on the service account the request originates from.

RequestRequest

GET /v2/email/dedicated-ips HTTP/2

Query parametersQuery parameters

Parameter

Description

PoolName

Type: String.

Pool name. If the parameter is specified, only IP address from this pool will be returned in the response.

This is an optional parameter.

PageSize

Type: Integer.

Maximum number of results you can get on one page in response to your request. If the number of results exceeds the PageSize value, the response returns the NextToken token to request the next results page.

This is an optional parameter.

NextToken

Type: String.

Token to get the next results page in response to a request. To do this, provide the NextToken value you get in response to your previous request.

This is an optional parameter.

Request headersRequest headers

Use common request headers in your requests.

ResponsesResponses

200 OK200 OK

{
  "DedicatedIps": [
    {
      "Ip": "<IP_address>",
      "WarmupStatus": "DONE",
      "WarmupPercentage": 100,
      "PoolName": "<pool_name>"
    }
  ],
  "NextToken": "<token>"
}

Parameter

Description

DedicatedIps

Type: Array.

Array of dedicated IP addresses.

Ip

Type: String.

Dedicated IP address.

WarmupStatus

Type: String.

IP warm-up status. It always returns DONE.

WarmupPercentage

Type: Integer.

IP warm-up completion percentage. It always returns 100.

PoolName

Type: String.

Name of the pool the IP address belongs to. IP addresses not distributed among custom pools are in the default pool named ses-default-dedicated-pool.

NextToken

Type: String.

Token to get the next results page in response to a request. If the number of results exceeds the PageSize value, the response returns the NextToken token to request the next results page. Each page gets its own token for pagination.

The 200 OK response may contain additional parameters. Its format may vary slightly from the above.

ErrorsErrors

For all errors, the response body has the same format:

{
   "Code": "<error_name>",
   "message": "<error_description>"
}

The name of the error is taken from its code, e.g., BadRequestException.

The possible errors include:

Error code

Description

400 BadRequestException

The request contains invalid headers or parameters, or an incorrect token is provided in the NextToken parameter.

404 NotFoundException

No pool of that name was found.

429 TooManyRequestsException

The request quota was exceeded.

Was the article helpful?

Previous
DeleteDedicatedIpPool method
Next
GetDedicatedIp method
© 2026 Direct Cursus Technology L.L.C.